--[[
************************************************************************
Vendor.lua
************************************************************************
File date: 2017-01-10T10:05:46Z
File hash: f02d00e
Project hash: a4e4808
Project version: 7.1.5.1-2-ga4e4808
************************************************************************
Please see http://www.wowace.com/addons/arl/ for more information.
************************************************************************
This source code is released under All Rights Reserved.
************************************************************************
]]--

-----------------------------------------------------------------------
-- Upvalued Lua API.
-----------------------------------------------------------------------
local _G = getfenv(0)

-----------------------------------------------------------------------
-- AddOn namespace.
-----------------------------------------------------------------------
local FOLDER_NAME, private	= ...

local LibStub = _G.LibStub

local addon = LibStub("AceAddon-3.0"):GetAddon(private.addon_name)
local L = LibStub("AceLocale-3.0"):GetLocale(private.addon_name)
local BB = LibStub("LibBabble-Boss-3.0"):GetLookupTable()

local BN = private.BOSS_NAMES
local FN = private.LOCALIZED_FACTION_STRINGS
local Z = private.ZONE_NAMES

private.vendor_list = {}

function addon:InitVendor()
	local function AddVendor(id_num, name, zone_name, x, y, faction)
		private:AddListEntry(private.vendor_list, id_num, name, zone_name, x, y, faction)
	end

	AddVendor(384,		L["Katie Hunter"],		Z.ELWYNN_FOREST,		84.0,	65.4,	"Alliance")
	AddVendor(1261,		L["Veron Amberstill"],		Z.DUN_MOROGH,			70.6,	48.8,	"Alliance")
	AddVendor(1263,		L["Yarlyn Amberstill"],		Z.DUN_MOROGH,			70.6,	49.0,	"Alliance")
	AddVendor(1460,		L["Unger Statforth"],		Z.WETLANDS,			9.2,	56.6,	"Alliance")
	AddVendor(2663,		L["Narkk"],			Z.THE_CAPE_OF_STRANGLETHORN,	42.6,	69.2,	"Neutral")
	AddVendor(2795,		L["Lenny \"Fingers\" McCoy"],	Z.STORMWIND_CITY,		73.2,	58.4,	"Alliance")
	AddVendor(3362,		L["Ogunaro Wolfrunner"],	Z.ORGRIMMAR,			61.0,	35.2,	"Horde")
	AddVendor(3685,		L["Harb Clawhoof"],		Z.MULGORE,			47.6,	58.0,	"Horde")
	AddVendor(4730,		L["Lelanai"],			Z.DARNASSUS,			42.6,	32.8,	"Alliance")
	AddVendor(4731,		L["Zachariah Post"],		Z.TIRISFAL_GLADES,		61.8,	51.8,	"Horde")
	AddVendor(4885,		L["Gregor MacVince"],		Z.DUSTWALLOW_MARSH,		65.2,	51.4,	"Alliance")
	AddVendor(6294,		L["Krom Stoutarm"],		Z.IRONFORGE,			75.0,	10.6,	"Alliance")
	AddVendor(6367,		L["Donni Anthania"],		Z.ELWYNN_FOREST,		44.2,	53.2,	"Alliance")
	AddVendor(6566,		L["Estelle Gendry"],		Z.UNDERCITY,			78.6,	77.2,	"Horde")
	AddVendor(7952,		L["Zjolnir"],			Z.DUROTAR,			55.2,	75.6,	"Horde")
	AddVendor(7955,		L["Milli Featherwhistle"],	Z.DUN_MOROGH,			56.2,	46.2,	"Alliance")
	AddVendor(8401,		L["Halpa"],			Z.THUNDER_BLUFF,		62.2,	58.6,	"Horde")
	AddVendor(8403,		L["Jeremiah Payson"],		Z.UNDERCITY,			68.0,	44.0,	"Horde")
	AddVendor(8404,		L["Xan'tish"],			Z.ORGRIMMAR,			34.8,	65.2,	"Horde")
	AddVendor(8665,		L["Shylenai"],			Z.DARNASSUS,			64.0,	53.6,	"Alliance")
	AddVendor(8666,		L["Lil Timmy"],			Z.STORMWIND_CITY,		69.4,	62.6,	"Alliance")
	AddVendor(11536,	L["Quartermaster Miranda Breechlock"],	Z.EASTERN_PLAGUELANDS,	75.9,	54.1,	"Neutral")
	AddVendor(11557,	L["Meilosh"],			Z.FELWOOD,			64.8,	 5.2,	"Neutral")
	AddVendor(12022,	L["Lorelae Wintersong"],	Z.MOONGLADE,			48.6,	40.2,	"Neutral")
	AddVendor(12783,	L["Lieutenant Karter"],		Z.STORMWIND_CITY,		76.2,	65.6,	"Alliance")
	AddVendor(12796,	L["Raider Bork"],		Z.ORGRIMMAR,			47.8,	73.6,	"Horde")
	AddVendor(13216,	L["Gaelden Hammersmith"],	Z.ALTERAC_VALLEY,		44.2,	18.2,	"Alliance")
	AddVendor(13217,	L["Thanthaldis Snowgleam"],	Z.HILLSBRAD_FOOTHILLS,		44.6,	46.6,	"Alliance")
	AddVendor(13218,	L["Grunnda Wolfheart"],		Z.ALTERAC_VALLEY,		49.4,	82.4,	"Horde")
	AddVendor(13219,	L["Jorek Ironside"],		Z.HILLSBRAD_FOOTHILLS,		58.0,	33.6,	"Horde")
	AddVendor(14828,	L["Gelvas Grimegate"],		Z.DARKMOON_ISLAND,		48.0,	64.8,	"Neutral")
	AddVendor(14846,	L["Lhara"],			Z.DARKMOON_ISLAND,		48.6,	69.8,	"Neutral")
	AddVendor(14860,	L["Flik"],			Z.DARKMOON_ISLAND,		59.6,	68.0,	"Neutral")
	AddVendor(15864,	L["Valadar Starsong"],		Z.MOONGLADE,			54.0,	35.0,	"Neutral")
	AddVendor(15909,	L["Fariel Starsong"],		Z.MOONGLADE,			54.0,	35.0,	"Neutral")
	AddVendor(16264,	L["Winaestra"],			Z.EVERSONG_WOODS,		61.0,	54.6,	"Horde")
	AddVendor(16860,	L["Jilanne"],			Z.EVERSONG_WOODS,		44.8,	71.6,	"Horde")
	AddVendor(17584,	L["Torallius the Pack Handler"],Z.THE_EXODAR,			81.6,	52.6,	"Alliance")
	AddVendor(17904,	L["Fedryen Swiftspear"],	Z.ZANGARMARSH,			79.2,	63.8,	"Neutral")
	AddVendor(18072,	L["Elementalist Sharvak"],	Z.NAGRAND_OUTLAND,		60.6,	22.2,	"Neutral")
	AddVendor(18382,	L["Mycah"],			Z.ZANGARMARSH,			17.8,	51.2,	"Neutral")
	AddVendor(18756,	L["Haris Pilton"],		Z.SHATTRATH_CITY,		75.6,	31.6,	"Neutral")
	AddVendor(20240,	L["Trader Narasu"],		Z.NAGRAND_OUTLAND,		54.6,	75.0,	"Alliance")
	AddVendor(20241,	L["Provisioner Nasela"],	Z.NAGRAND_OUTLAND,		53.4,	36.8,	"Horde")
	AddVendor(20494,	L["Dama Wildmane"],		Z.SHADOWMOON_VALLEY_OUTLAND,	29.0,	29.4,	"Horde")
	AddVendor(20510,	L["Brunn Flamebeard"],		Z.SHADOWMOON_VALLEY_OUTLAND,	37.6,	56.0,	"Alliance")
	AddVendor(20980,	L["Dealer Rashaad"],		Z.NETHERSTORM,			43.4,	35.2,	"Neutral")
	AddVendor(21019,	L["Sixx"],			Z.THE_EXODAR,			30.8,	34.6,	"Alliance")
	AddVendor(21474,	L["Coreiel"],			Z.NAGRAND_OUTLAND,		42.8,	42.6,	"Horde")
	AddVendor(21485,	L["Aldraan"],			Z.NAGRAND_OUTLAND,		42.8,	42.6,	"Alliance")
	AddVendor(23367,	L["Grella"],			Z.TEROKKAR_FOREST,		64.2,	66.2,	"Neutral")
	AddVendor(23489,	L["Drake Dealer Hurlunk"],	Z.SHADOWMOON_VALLEY_OUTLAND,	65.6,	86.0,	"Neutral")
	AddVendor(23605,	L["Bron"],			Z.DUROTAR,			41.2,	17.6,	"Horde")
	AddVendor(23710,	L["Belbi Quikswitch"],		Z.DUN_MOROGH,			56.2,	37.8,	"Alliance")
	AddVendor(24468,	L["Pol Amberstill"],		Z.DUN_MOROGH,			53.6,	38.6,	"Alliance")
	AddVendor(24495,	L["Blix Fixwidget"],		Z.DUROTAR,			40.4,	17.8,	"Horde")  -- Blizz thinks this is "Bliz Fixwidget"
	AddVendor(24510,	L["Driz Tumblequick"],		Z.DUROTAR,			42.6,	17.6,	"Horde")
	AddVendor(26123,	L["Midsummer Supplier"],	Z.STORMWIND_CITY,		49.2,	71.8,	"Alliance")
	AddVendor(26124,	L["Midsummer Merchant"],	Z.ORGRIMMAR,			47.6,	38.6,	"Horde")
	AddVendor(27478,	L["Larkin Thunderbrew"],	Z.IRONFORGE,			19.8,	53.2,	"Alliance")
	AddVendor(27489,	L["Ray'ma"],			Z.ORGRIMMAR,			50.6,	73.6,	"Horde")
	AddVendor(28040,	L["Mardan Thunderhoof"],	Z.SHOLAZAR_BASIN,		27.2,	59.6,	"Neutral")
	AddVendor(28715,	L["Endora Moorehead"],		Z.DALARAN_NORTHREND,		38.6,	53.8,	"Neutral")
	AddVendor(28951,	L["Breanni"],			Z.DALARAN_NORTHREND,		40.5,	35.2,	"Neutral")
	AddVendor(29478,	L["Jepetto Joybuzz"],		Z.DALARAN_NORTHREND,		44.6,	46.0,	"Neutral")
	AddVendor(29537,	L["Darahir"],			Z.DALARAN_NORTHREND,		63.8,	16.6,	"Neutral")
	AddVendor(29587,	L["Dread Commander Thalanor"],	Z.EASTERN_PLAGUELANDS,		84.0,	49.8,	"Neutral")
	AddVendor(29716,	L["Clockwork Assistant"],	Z.DALARAN_NORTHREND,		44.8,	46.2,	"Neutral")
	AddVendor(29744,	L["Rork Sharpchin"],		Z.THE_STORM_PEAKS,		28.8,	74.0,	"Alliance")
	AddVendor(30472,	L["Olut Alegut"],		Z.THE_STORM_PEAKS,		37.0,	49.6,	"Horde")
	AddVendor(31031,	L["Misensi"],			Z.DALARAN_NORTHREND,		70.2,	37.2,	"Horde")
	AddVendor(31032,	L["Derek Odds"],		Z.DALARAN_NORTHREND,		41.6,	64.8,	"Alliance")
	AddVendor(31910,	L["Geen"],			Z.SHOLAZAR_BASIN,		54.6, 	56.2,	"Neutral")
	AddVendor(31911,	L["Tanak"],			Z.SHOLAZAR_BASIN,		55.0,	69.0,	"Neutral")
	AddVendor(31916,	L["Tanaika"],			Z.HOWLING_FJORD,		25.4,	58.6,	"Neutral")
	AddVendor(32216,	L["Mei Francis"],		Z.DALARAN_NORTHREND,		58.6,	43.2,	"Neutral")
	AddVendor(32294,	L["Knight Dameron"],		Z.WINTERGRASP,			51.6,	17.6,	"Alliance")
	AddVendor(32533,	L["Cielstrasza"],		Z.DRAGONBLIGHT,			59.8,	53.0,	"Neutral")
	AddVendor(32296,	L["Stone Guard Mukar"],		Z.WINTERGRASP,			51.6,	17.6,	"Horde")
	AddVendor(32540,	L["Lillehoff"],			Z.THE_STORM_PEAKS,		66.0,	61.4,	"Neutral")
	AddVendor(32763,	L["Sairuk"],			Z.DRAGONBLIGHT,			48.6,	75.6,	"Neutral")
	AddVendor(32836,	L["Noblegarden Vendor"],	Z.ELWYNN_FOREST,		43.0,	65.3,	"Alliance")
	AddVendor(32837,	L["Noblegarden Merchant"],	Z.DUROTAR,			51.0,	41.0,	"Horde")
	AddVendor(33307,	L["Corporal Arthur Flew"],	Z.ICECROWN,			76.4,	19.2,	"Alliance")
	AddVendor(33310,	L["Derrick Brindlebeard"],	Z.ICECROWN,			76.4,	19.4,	"Alliance")
	AddVendor(33553,	L["Freka Bloodaxe"],		Z.ICECROWN,			76.4,	24.2,	"Horde")
	AddVendor(33554,	L["Samamba"],			Z.ICECROWN,			76.0,	24.4,	"Horde")
	AddVendor(33555,	L["Eliza Killian"],		Z.ICECROWN,			76.4,	24.0,	"Horde")
	AddVendor(33556,	L["Doru Thunderhorn"],		Z.ICECROWN,			76.2,	24.4,	"Horde")
	AddVendor(33557,	L["Trellis Morningsun"],	Z.ICECROWN,			76.2,	23.8,	"Horde")
	AddVendor(33595,	L["Mera Mistrunner"],		Z.ICECROWN,			72.4,	20.8,	"Neutral")
	AddVendor(33650,	L["Rillie Spindlenut"],		Z.ICECROWN,			76.4,	19.6,	"Alliance")
	AddVendor(33653,	L["Rook Hawkfist"],		Z.ICECROWN,			76.2,	19.2,	"Alliance")
	AddVendor(33657,	L["Irisee"],			Z.ICECROWN,			76.2,	19.2,	"Alliance")
	AddVendor(33980,	L["Apothecary Furrows"],	Z.DARKSHORE,			57.2,	33.8,	"Horde")
	AddVendor(34772,	L["Vasarin Redmorn"],		Z.ICECROWN,			76.2,	24.0,	"Horde")
	AddVendor(34881,	L["Hiren Loresong"],		Z.ICECROWN,			76.2,	19.6,	"Alliance")
	AddVendor(34882,	L["Vasarin Redmorn"],		Z.ICECROWN,			76.2,	24.0,	"Horde")
	AddVendor(34885,	L["Dame Evniki Kapsalis"],	Z.ICECROWN,			69.4,	23.2,	"Neutral")
	AddVendor(35099,	L["Bana Wildmane"],		Z.HELLFIRE_PENINSULA,		54.2,	41.6,	"Horde")
	AddVendor(35101,	L["Grunda Bronzewing"],		Z.HELLFIRE_PENINSULA,		54.2,	62.6,	"Alliance")
	AddVendor(35131,	L["Durgan Thunderbeak"],	Z.BOREAN_TUNDRA,		58.8,	68.2,	"Alliance")
	AddVendor(35132,	L["Tohfo Skyhoof"],		Z.BOREAN_TUNDRA,		42.2,	55.4,	"Horde")
	AddVendor(36375,	L["Tex Vortacoil"],		Z.AZSHARA,			25.6,	38.0,	"Neutral")
	AddVendor(41135,	L["\"Plucky\" Johnson"],	Z.THOUSAND_NEEDLES,		85.6,	91.6,	"Neutral")
	AddVendor(43694,	L["Katie Stokx"],		Z.STORMWIND_CITY,		77.0,	67.8,	"Alliance")
	AddVendor(43768,	L["Tannec Stonebeak"],		Z.STORMWIND_CITY,		71.4,	72.2,	"Alliance")
	AddVendor(44179,	L["Harry No-Hooks"],		Z.THE_CAPE_OF_STRANGLETHORN,	46.6,	93.6,	"Alliance")
	AddVendor(46572,	L["Goram"],			Z.ORGRIMMAR,			48.2,	75.6,	"Horde")
	AddVendor(46602,	L["Shay Pressler"],		Z.STORMWIND_CITY,		64.6,	76.8,	"Alliance")
	AddVendor(47328,	L["Quartermaster Brazie"],	Z.TOL_BARAD_PENINSULA,		72.6,	62.6,	"Alliance")
	AddVendor(48510,	L["Kall Worthaton"],		Z.ORGRIMMAR,			36.0,	86.4,	"Horde")
	AddVendor(48531,	L["Pogg"],			Z.TOL_BARAD_PENINSULA,		54.6,	81.0,	"Horde")
	AddVendor(48617,	L["Blacksmith Abasi"],		Z.ULDUM,			54.0,	33.2,	"Neutral")
	AddVendor(51495,	L["Steeg Haskell"],		Z.IRONFORGE,			36.6,	84.6,	"Alliance")
	AddVendor(51496,	L["Kim Horn"],			Z.UNDERCITY,			69.6,	43.8,	"Horde")
	AddVendor(51501,	L["Nuri"],			Z.THE_EXODAR,			53.6,	70.6,	"Alliance")
	AddVendor(51502,	L["Larissia"],			Z.SILVERMOON_CITY,		78.2,	84.8,	"Horde")
	AddVendor(51503,	L["Randah Songhorn"],		Z.THUNDER_BLUFF,		37.6,	62.8,	"Horde")
	AddVendor(51504,	L["Velia Moonbow"],		Z.DARNASSUS,			64.6,	37.6,	"Alliance")
	AddVendor(51512,	L["Mirla Silverblaze"],		Z.DALARAN_NORTHREND,		52.6,	56.6,	"Neutral")
	AddVendor(52030,	L["Liliana Emberfrost"],	Z.STORMWIND_CITY,		74.3,	67.8,	"Alliance")
	AddVendor(52036,	L["Galra"],			Z.ORGRIMMAR,			38.0,	70.8,	"Horde")
	AddVendor(52268,	L["Riha"],			Z.SHATTRATH_CITY,		58.6,	46.6,	"Neutral")
	AddVendor(52358,	L["Craggle Wobbletop"],		Z.STORMWIND_CITY,		57.6,	73.4,	"Alliance")
	AddVendor(52809,	L["Blax Bottlerocket"],		Z.ORGRIMMAR,			58.8,	59.6,	"Horde")
	AddVendor(52822,	L["Zen'Vorka"],			Z.MOLTEN_FRONT,			47.0,	90.6,	"Neutral")
	AddVendor(52830,	L["Michelle De Rum"],		Z.WINTERSPRING,			59.8,	51.6,	"Neutral")
	AddVendor(53728,	L["Dorothy"],			Z.ELWYNN_FOREST,		31.8,	50.0,	"Alliance")
	AddVendor(53757,	L["Chub"],			Z.TIRISFAL_GLADES,		67.8,	7.6,	"Horde")
	AddVendor(53881,	L["Ayla Shadowstorm"],		Z.MOLTEN_FRONT,			44.8,	86.6,	"Neutral")
	AddVendor(53882,	L["Varlan Highbough"],		Z.MOLTEN_FRONT,			44.6,	88.6,	"Neutral")
	AddVendor(55103,	L["Galissa Sundew"],		Z.DARKMOON_ISLAND,		52.6,	88.4,	"Neutral")
	AddVendor(55143,	L["Sally Fizzlefury"],		Z.VALLEY_OF_THE_FOUR_WINDS,	16.0,	83.0,	"Neutral")
	AddVendor(55278,	L["Boomie Sparks"],		Z.DARKMOON_ISLAND,		48.6,	72.6,	"Neutral")
	AddVendor(55285,	L["Astrid Langstrump"],		Z.DARNASSUS,			48.6,	22.2,	"Neutral")
	AddVendor(55305,	L["Carl Goodup"],		Z.DARKMOON_ISLAND,		49.8,	85.6,	"Neutral")
	AddVendor(56335,	L["Daenrand Dawncrest"],	Z.DARKMOON_ISLAND,		47.6,	66.7,	"Neutral")
	AddVendor(58414,	L["San Redscale"],		Z.THE_JADE_FOREST,		56.6,	44.4,	"Neutral")
	AddVendor(58706,	L["Gina Mudclaw"],		Z.VALLEY_OF_THE_FOUR_WINDS,	53.2,	51.6,	"Neutral")
	AddVendor(59908,	L["Jaluu the Generous"],	Z.VALE_OF_ETERNAL_BLOSSOMS,	74.2,	42.6,	"Neutral")
	AddVendor(63194,	L["Steven Lisbane"],		Z.NORTHERN_STRANGLETHORN,	46.0,	40.6,	"Alliance")
	AddVendor(63596,	L["Audrey Burnhep"],		Z.STORMWIND_CITY,		69.6,	25.8,	"Alliance")
	AddVendor(63721,	FN.NAT_PAGLE,			Z.KRASARANG_WILDS,		68.4,	43.4,	"Neutral")
	AddVendor(63994,	L["Challenger Wuli"],		Z.SHRINE_OF_TWO_MOONS,		61.0,	21.0,	"Horde")
	AddVendor(64001,	L["Sage Lotusbloom"],		Z.SHRINE_OF_TWO_MOONS,		62.6,	23.2,	"Horde")
	AddVendor(64028,	L["Challenger Soong"],		Z.SHRINE_OF_SEVEN_STARS,	86.2,	61.6,	"Alliance")
	AddVendor(64032,	L["Sage Whiteheart"],		Z.SHRINE_OF_SEVEN_STARS,	84.6,	63.6,	"Alliance")
	AddVendor(64395,	L["Nam Ironpaw"],		Z.VALLEY_OF_THE_FOUR_WINDS,	53.6,	51.2,	"Neutral")
	AddVendor(64518,	L["Uncle Bigpocket"],		Z.KUN_LAI_SUMMIT,		65.4,	61.6,	"Neutral")
	AddVendor(64595,	L["Rushi the Fox"],		Z.TOWNLONG_STEPPES,		48.8,	70.6,	"Neutral")
	AddVendor(64599,	L["Ambersmith Zikk"],		Z.DREAD_WASTES,			55.0,	35.6,	"Neutral")
	AddVendor(64605,	L["Tan Shin Tiao"],		Z.VALE_OF_ETERNAL_BLOSSOMS,	82.2,	29.4,	"Neutral")
	AddVendor(65068,	L["Old Whitenose"],		Z.STORMWIND_CITY,		67.8,	18.6,	"Alliance")
	AddVendor(66022,	L["Turtlemaster Odai"],		Z.ORGRIMMAR,			69.8,	41.0,	"Horde")
	AddVendor(66973,	L["Kay Featherfall"],		Z.VALE_OF_ETERNAL_BLOSSOMS,	82.2,	34.0,	"Neutral")
	AddVendor(67672,	L["Vasarin Redmorn"],		Z.ISLE_OF_THUNDER,		33.4,	32.4,	"Horde")
	AddVendor(68000,	L["Hiren Loresong"],		Z.ISLE_OF_THUNDER,		64.8,	74.4,	"Alliance")
	AddVendor(68363,	L["Quackenbush"],		Z.DEEPRUN_TRAM,			53.9,	26.3,	"Alliance")
	AddVendor(68364,	L["Paul North"],		Z.BRAWLGAR_ARENA,		50.8,	31.8,	"Horde")
	AddVendor(69059,	L["Agent Malley"],		Z.KRASARANG_WILDS,		89.6,	33.4,	"Alliance")
	AddVendor(69060,	L["Tuskripper Grukna"],		Z.KRASARANG_WILDS,		10.8,	53.4,	"Horde")
	AddVendor(71226,	L["Ravika"],			Z.DUROTAR,			49.4,	40.2,	"Neutral")
	AddVendor(73082,	L["Master Li"],			Z.TIMELESS_ISLE,		34.7,	59.7,	"Neutral")
	AddVendor(73151,	L["Deathguard Netharian"],	Z.ORGRIMMAR,			42.2,	72.8,	"Horde")
	AddVendor(73190,	L["Necrolord Sipe"],		Z.STORMWIND_CITY,		77.6,	66.2,	"Alliance")
	AddVendor(73306,	L["Mistweaver Ku"],		Z.TIMELESS_ISLE,		42.7,	54.7,	"Neutral")
	AddVendor(73307,	L["Speaker Gulan"],		Z.TIMELESS_ISLE,		74.9,	44.9,	"Neutral")
	AddVendor(73819,	L["Ku-Mo"],			Z.TIMELESS_ISLE,		41.4,	63.6,	"Neutral")
	AddVendor(77379,	L["Jonathan Stephens"],		Z.LUNARFALL,			 0.0,	 0.0,	"Alliance")
	AddVendor(79812,	L["Moz'def"],			Z.FROSTWALL,			 0.0,	 0.0,	"Horde")
	AddVendor(80882,	L["Crafticus Mindbender"],	Z.ASHRAN,			44.2,	74.0,	"Alliance")
	AddVendor(81981,	L["Tarnon"],			Z.FROSTWALL,			 0.0,	 0.0,	"Horde")
	AddVendor(82459,	L["Honest Jim"],		Z.SPIRES_OF_ARAK,		 0.0,	 0.0,	"Alliance")
	AddVendor(83006,	L["Griftah"],			Z.PANDARIA,			 0.0,	 0.0,	"Neutral")
	AddVendor(84243,	L["Linny \"The Skinny\" Leadpockets"],	Z.SPIRES_OF_ARAK,	 0.0,	 0.0,	"Horde")
	AddVendor(85115,	L["Dazzerian"],			Z.ASHRAN,			47.0,	21.4,	"Horde")
	AddVendor(85344,	L["Naron Bloomthistle"],	Z.LUNARFALL,			 0.0,	 0.0,	"Alliance")
	AddVendor(85427,	L["Maaria"],			Z.LUNARFALL,			 0.0,	 0.0,	"Alliance")
	AddVendor(85484,	L["Chester"],			Z.DARKMOON_ISLAND,		51.4,	75.2,	"Neutral")
	AddVendor(85932,	L["Vindicator Nuurem"],		Z.STORMSHIELD,			46.6,	76.2,	"Alliance")
	AddVendor(85946,	L["Shadow-Sage Brakoss"],	Z.STORMSHIELD,			45.0,	75.8,	"Alliance")
	AddVendor(86036,	L["Beska Redtusk"],		Z.WARSPEAR,			53.6,	62.6,	"Horde")
	AddVendor(86037,	L["Ravenspeaker Skeega"],	Z.WARSPEAR,			53.0,	59.4,	"Horde")
	AddVendor(86382,	L["Dawn-Seeker Alkset"],	Z.WARSPEAR,			65.2,	61.6,	"Horde")
	AddVendor(86391,	L["Dawn-Seeker Krek"],		Z.STORMSHIELD,			50.4,	61.6,	"Alliance")
	AddVendor(86698,	L["Kil'rip"],			Z.FROSTWALL,			 0.0,	 0.0,	"Horde")
	AddVendor(87123,	L["Vesharr"],			Z.SPIRES_OF_ARAK,		46.2,	45.4,	"Neutral")
	AddVendor(87394,	L["Kwilax Fuseshiv"],		Z.NAGRAND_DRAENOR,		50.4,	41.4,	"Neutral")
	AddVendor(87501,	L["Paulie"],			Z.STORMWIND_CITY,		73.2,	59.4,	"Alliance")
	AddVendor(88482,	L["Gazrix Gearlock"],		Z.STORMSHIELD,			43.2,	77.4,	"Alliance")
	AddVendor(88493,	L["Mimi Wizzlebub"],		Z.WARSPEAR,			53.8,	60.8,	"Horde")
	AddVendor(88779,	L["Benjamin Brode"],		Z.DRAENOR,			 0.0,	 0.0,	"Neutral")
	AddVendor(90974,	L["Vindicator Krethos"],	Z.TANAAN_JUNGLE,		58.4,	60.4,	"Alliance")
	AddVendor(92489,	L["Mei Francis"],		Z.DALARAN_BROKENISLES,		57.5,	42.1,	"Neutral")
	AddVendor(92805,	L["Z'tenga the Walker"],	Z.TANAAN_JUNGLE,		55.2,	74.8,	"Neutral")
	AddVendor(94512,	L["Tiffy Trapspring"],		Z.LUNARFALL,			 0.0,	 0.0,	"Alliance")
	AddVendor(94516,	L["Giada Goldleash"],		Z.FROSTWALL,			 0.0,	 0.0,	"Horde")
	AddVendor(95424,	L["Dawn-Seeker Krisek"],	Z.TANAAN_JUNGLE,		57.8,	59.4,	"Alliance")
	AddVendor(95425,	L["Dawn-Seeker Krisek"],	Z.TANAAN_JUNGLE,		60.4,	46.6,	"Horde")  -- Blizzard needs to stop having the same NPC id in multiple places, not actual ID
	AddVendor(95470,	L["Trader Araanda"],		Z.LUNARFALL,			 0.0,	 0.0,	"Alliance")
	AddVendor(95471,	L["Trader Darakk"],		Z.FROSTWALL,			 0.0,	 0.0,	"Horde")
	AddVendor(95650,	L["Skoller"],			Z.TANAAN_JUNGLE,		55.1,	75.0,	"Neutral")
	AddVendor(96014,	L["Shadow Hunter Denjai"],	Z.TANAAN_JUNGLE,		61.6,	45.6,	"Horde")
	AddVendor(96479,	L["Breanni"],			Z.DALARAN_BROKENISLES,		58.4,	39.1,	"Neutral")
	AddVendor(96483,	L["Jepetto Joybuzz"],		Z.DALARAN_BROKENISLES,		44.6,	46.0,	"Neutral")
	AddVendor(97140,	L["First Arcanist Thalyssra"],	Z.SURAMAR,			37.0,	46.2,	"Neutral")
	AddVendor(97364,	L["Laura Malley"],		Z.DALARAN_BROKENISLES,		58.6,	58.6,	"Neutral")
	AddVendor(98685,	L["Cupri"],			Z.SHATTRATH_CITY,		54.4,	39.0,	"Neutral")
	AddVendor(98690,	L["Auzin"],			Z.DALARAN_NORTHREND,		50.4,	46.1,	"Neutral")
	AddVendor(98723,	L["Tiffy Trapspring"],		Z.DALARAN_BROKENISLES,		59.4,	40.0,	"Alliance")
	AddVendor(98724,	L["Giada Goldleash"],		Z.DALARAN_BROKENISLES,		58.3,	37.7,	"Horde")
	AddVendor(99574,	L["Slyhoof the Shameless Shaman"],	Z.THUNDER_TOTEM,	60.8,	59.6,	"Neutral")
	AddVendor(101759,	L["Kiatke"],			Z.STORMWIND_CITY,		76.0,	17.6,	"Alliance")
	AddVendor(101760,	L["Kiatke"],			Z.ORGRIMMAR,			52.0,	41.6,	"Horde") -- Blizzard needs to stop having the same NPC id in multiple places, not actual ID
	AddVendor(106887,	L["Cravitz Lorent"],		Z.DALARAN_BROKENISLES,		51.0,	38.0,	"Neutral")
	AddVendor(106901,	L["Sylvia Hartshorn"],		Z.VALSHARAH,			54.6,	73.2,	"Neutral")
	AddVendor(106902,	L["Ransa Greyfeather"],		Z.THUNDER_TOTEM,		38.8,	46.8,	"Neutral")
	AddVendor(106904,	L["Valdemar Stormseeker"],	Z.STORMHEIM,			60.2,	51.2,	"Neutral")
	AddVendor(107109,	L["Xur'ios"],			Z.DALARAN_BROKENISLES,		48.8,	13.6,	"Neutral")
	AddVendor(107326,	L["Draemus"],			Z.DALARAN_BROKENISLES,		58.9,	38.9,	"Neutral")
	AddVendor(107376,	L["Veridis Fallon"],		Z.AZSUNA,			46.8,	41.4,	"Neutral")
	AddVendor(107379,	L["Marin Bladewing"],		Z.AZSUNA,			48.2,	73.8,	"Neutral")
	AddVendor(108468,	L["The Mad Merchant"],		Z.DALARAN_BROKENISLES,		43.3,	47.3,	"Neutral")
	AddVendor(108825,	L["Conjurer Margoss"],		Z.DALARAN_BROKENISLES,		 0.0,	 0.0,	"Neutral") -- Needs updating
	AddVendor(110034,	L["Historian Llore"],		Z.STORMWIND_CITY,		84.6,	25.0,	"Alliance")
	AddVendor(110035,	L["Historian Ju'pa"],		Z.ORGRIMMAR,			36.6,	74.6,	"Horde")
	AddVendor(113615,	L["Ravika"],			Z.DUROTAR,			55.4,	11.3,	"Horde")
	AddVendor(113843,	L["Kieule"],			Z.SURAMAR,			50.4,	53.0,	"Neutral")
	AddVendor(115887,	L["Trinket"],			Z.HIGHMOUNTAIN,			32.4,	66.8,	"Neutral")
	AddVendor(118828,	L["Mistweaver Xia"],		Z.TIMELESS_ISLE,		 0.0,	 0.0,	"Neutral") -- Needs updating

	self.InitVendor = nil
end
